com.holonplatform.vaadin.flow.components.builders

## Interface KeyNotifierConfigurator<C extends KeyNotifierConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    LocalTimeInputBuilder, LocalTimeInputConfigurator<C>, NumberInputBuilder<T>, NumberInputConfigurator<T,C>, PasswordInputBuilder, PasswordInputConfigurator<C>, StringAreaInputBuilder, StringAreaInputConfigurator<C>, StringInputBuilder, StringInputConfigurator<C>, TextInputConfigurator<C>, ValidatableLocalTimeInputBuilder, ValidatableNumberInputBuilder<T>, ValidatablePasswordInputBuilder, ValidatableStringAreaInputBuilder, ValidatableStringInputBuilder

      public interface KeyNotifierConfigurator<C extends KeyNotifierConfigurator<C>>

  Configurator for `KeyNotifier` type components.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `withKeyDownListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.KeyDownEvent> listener)` Adds a `keydown` listener to this component.
    `C` | `withKeyDownListener(com.vaadin.flow.component.Key key, com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.KeyDownEvent> listener, com.vaadin.flow.component.KeyModifier... modifiers)` Adds a `keydown` listener to this component, which will trigger only if the keys involved in the event match the `key` and `modifiers` parameters.
    `C` | `withKeyPressListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.KeyPressEvent> listener)` Adds a `keypress` listener to this component.
    `C` | `withKeyPressListener(com.vaadin.flow.component.Key key, com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.KeyPressEvent> listener, com.vaadin.flow.component.KeyModifier... modifiers)` Adds a `keypress` listener to this component, which will trigger only if the keys involved in the event match the `key` and `modifiers` parameters.
    `C` | `withKeyUpListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.KeyUpEvent> listener)` Adds a `keyup` listener to this component.
    `C` | `withKeyUpListener(com.vaadin.flow.component.Key key, com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.KeyUpEvent> listener, com.vaadin.flow.component.KeyModifier... modifiers)` Adds a `keyup` listener to this component, which will trigger only if the keys involved in the event match the `key` and `modifiers` parameters.

- - ### Method Detail

    - #### withKeyDownListener

          C withKeyDownListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.KeyDownEvent> listener)

      Adds a `keydown` listener to this component.
      Parameters:
        `listener` - the listener to add, not `null`
      Returns:
        this

    - #### withKeyPressListener

          C withKeyPressListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.KeyPressEvent> listener)

      Adds a `keypress` listener to this component.
      Parameters:
        `listener` - the listener to add, not `null`
      Returns:
        this

    - #### withKeyUpListener

          C withKeyUpListener(com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.KeyUpEvent> listener)

      Adds a `keyup` listener to this component.
      Parameters:
        `listener` - the listener to add, not `null`
      Returns:
        this

    - #### withKeyDownListener

          C withKeyDownListener(com.vaadin.flow.component.Key key,
                                com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.KeyDownEvent> listener,
                                com.vaadin.flow.component.KeyModifier... modifiers)

      Adds a `keydown` listener to this component, which will trigger only if the keys involved in the event match the `key` and `modifiers` parameters.

      See `Key` for common static instances or use `Key.of(String, String...)` to get an instance from an arbitrary value.

      Parameters:
        `key` - the key to match
        `listener` - the listener to add, not `null`
        `modifiers` - the optional modifiers to match
      Returns:
        this

    - #### withKeyPressListener

          C withKeyPressListener(com.vaadin.flow.component.Key key,
                                 com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.KeyPressEvent> listener,
                                 com.vaadin.flow.component.KeyModifier... modifiers)

      Adds a `keypress` listener to this component, which will trigger only if the keys involved in the event match the `key` and `modifiers` parameters.

      See `Key` for common static instances or use `Key.of(String, String...)` to get an instance from an arbitrary value.

      Parameters:
        `key` - the key to match
        `listener` - the listener to add, not `null`
        `modifiers` - the optional modifiers to match
      Returns:
        this

    - #### withKeyUpListener

          C withKeyUpListener(com.vaadin.flow.component.Key key,
                              com.vaadin.flow.component.ComponentEventListener<com.vaadin.flow.component.KeyUpEvent> listener,
                              com.vaadin.flow.component.KeyModifier... modifiers)

      Adds a `keyup` listener to this component, which will trigger only if the keys involved in the event match the `key` and `modifiers` parameters.

      See `Key` for common static instances or use `Key.of(String, String...)` to get an instance from an arbitrary value.

      Parameters:
        `key` - the key to match
        `listener` - the listener to add, not `null`
        `modifiers` - the optional modifiers to match
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.